import React, { useEffect, useRef } from "react";
import { getNavigatorLanguage } from "../locales";
import { Features } from "../index";
var Script = function (_a) {
    var appId = _a.appId, pageId = _a.pageId, cookie = _a.cookie, nonce = _a.nonce, language = _a.language, features = _a.features;
    var loginScript = useRef(null);
    var chatScript = useRef(null);
    useEffect(function () {
        var _a, _b;
        if (typeof window !== "undefined" &&
            (features.includes(Features.LOGIN_BUTTON) ||
                features.includes(Features.CHAT_PLUGIN))) {
            var fjs = document.getElementsByTagName("script")[0];
            if (appId && loginScript.current) {
                loginScript.current.async = true;
                loginScript.current.defer = true;
                loginScript.current.crossOrigin = "anonymous";
                loginScript.current.nonce = nonce;
                loginScript.current.src = "https://connect.facebook.net/".concat(language || getNavigatorLanguage(), "/sdk.js");
                (_a = fjs === null || fjs === void 0 ? void 0 : fjs.parentNode) === null || _a === void 0 ? void 0 : _a.insertBefore(loginScript.current, fjs);
            }
            if (pageId && chatScript.current) {
                chatScript.current.async = true;
                chatScript.current.defer = true;
                chatScript.current.crossOrigin = "anonymous";
                chatScript.current.nonce = nonce;
                chatScript.current.src = "https://connect.facebook.net/".concat(language || getNavigatorLanguage(), "/sdk/xfbml.customerchat.js");
                (_b = fjs === null || fjs === void 0 ? void 0 : fjs.parentNode) === null || _b === void 0 ? void 0 : _b.insertBefore(chatScript.current, fjs);
            }
        }
        else {
            console.error("props 'appId' is required to initiate Facebook SDK!");
        }
    }, [appId, pageId, cookie, language, features, nonce]);
    useEffect(function () {
        if ((typeof window !== "undefined" && loginScript.current) ||
            chatScript.current)
            // Define the FB async init function
            window.fbAsyncInit = function () {
                // Handle login status and login/logout events
                window.FB.init({
                    appId: appId,
                    cookie: cookie,
                    autoLogAppEvents: true,
                    xfbml: true,
                    version: "v16.0",
                });
            };
    }, [loginScript, chatScript, appId, cookie]);
    return (React.createElement(React.Fragment, null,
        appId && React.createElement("script", { ref: loginScript }),
        pageId && React.createElement("script", { ref: chatScript }),
        React.createElement("div", { id: "fb-root" })));
};
export default Script;
//# sourceMappingURL=Script.js.map