export type ISOLangCountry = `${Lowercase<string>}_${Uppercase<string>}`;
type I18nType = {
    [ll_CC: ISOLangCountry]: {
        [key: string]: string;
    };
};
export declare const labels: I18nType;
/**
 * Get the ISO language code based on the navigator language or fallback to the nearest alternative.
 * @returns {ISOLangCountry} The ISO language code.
 */
export declare function getNavigatorLanguage(): ISOLangCountry;
export {};
